Loading...
Searching...
No Matches
AVCPBProperties Struct Reference

This structure describes the bitrate properties of an encoded bitstream. More...

`#include <libavcodec/defs.h>`

## Data Fields

int64_t | max_bitrate
| Maximum bitrate of the stream, in bits per second.
int64_t | min_bitrate
| Minimum bitrate of the stream, in bits per second.
int64_t | avg_bitrate
| Average bitrate of the stream, in bits per second.
int64_t | buffer_size
| The size of the buffer to which the ratecontrol is applied, in bits.
uint64_t | vbv_delay
| The delay between the time the packet this structure is associated with is received and the time when it should be decoded, in periods of a 27MHz clock.

## Detailed Description

This structure describes the bitrate properties of an encoded bitstream.

It roughly corresponds to a subset the VBV parameters for MPEG-2 or HRD parameters for H.264/HEVC.

Definition at line 282 of file defs.h.

## Field Documentation

## max_bitrate

int64_t AVCPBProperties::max_bitrate

Maximum bitrate of the stream, in bits per second.

Zero if unknown or unspecified.

Definition at line 287 of file defs.h.

## min_bitrate

int64_t AVCPBProperties::min_bitrate

Minimum bitrate of the stream, in bits per second.

Zero if unknown or unspecified.

Definition at line 292 of file defs.h.

## avg_bitrate

int64_t AVCPBProperties::avg_bitrate

Average bitrate of the stream, in bits per second.

Zero if unknown or unspecified.

Definition at line 297 of file defs.h.

## buffer_size

int64_t AVCPBProperties::buffer_size

The size of the buffer to which the ratecontrol is applied, in bits.

Zero if unknown or unspecified.

Definition at line 303 of file defs.h.

## vbv_delay

uint64_t AVCPBProperties::vbv_delay

The delay between the time the packet this structure is associated with is received and the time when it should be decoded, in periods of a 27MHz clock.

UINT64_MAX when unknown or unspecified.

Definition at line 312 of file defs.h.

The documentation for this struct was generated from the following file:

- libavcodec/defs.h